Download it now!
Bug 75977 - Editing : Undo after deleting sheet not restoring cell reference to another page
Summary: Editing : Undo after deleting sheet not restoring cell reference to another page
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.2.1 release
Hardware: All All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.3.0 target:4.2.4
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-03-10 12:05 UTC by Jaise James
Modified: 2015-01-23 15:09 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Sample document (12.42 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-03-10 12:05 UTC, Jaise James
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaise James 2014-03-10 12:05:06 UTC
Step to produce.

Document having 3 sheets.

Document having sheet 1 having reference to sheet 2 cell.

delete sheet 2. 

#ref will come in sheet 1.

If undo sheet 2, there is no change in #ref.

Expected behavior sheet 1 cell have the value.
Comment 1 Jaise James 2014-03-10 12:05:58 UTC
Created attachment 95502 [details]
Sample document

sample document
Comment 2 Tim Lloyd 2014-03-11 08:53:42 UTC
confirmed on LO4.2.1.1 Fedora 20. I just modified one of my docs. Originally this formula exists in sheet 3:

=Sheet4.D24+Sheet4.D25

remove sheet 4 and this becomes:

=#REF!.D24+#REF!.D25

restore sheet 4 with CTRL-Z and the formula remains unchanged. 

Is this a bug or an unavoidable "feature"?
Comment 3 A (Andy) 2014-03-11 19:45:30 UTC
reproducible with LO 4.2.1.1 (Win 8.1)
Comment 4 Kohei Yoshida 2014-03-12 21:40:09 UTC
.
Comment 5 Commit Notification 2014-03-13 02:03:23 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c9058f25e97b58a05eb25b7b769f6406423186b6

fdo#75977: Write test for this.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-03-13 02:03:36 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=18909ddb30db7ca9416ee2bfb0503753e877f002

fdo#75977: Clear sheet deleted flags for affected references when undoing.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Kohei Yoshida 2014-03-13 02:25:26 UTC
4.2 backport: https://gerrit.libreoffice.org/8564
Comment 8 Commit Notification 2014-03-13 15:44:24 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3da21555accb654a3185bdac5532304ac6ce5b34&h=libreoffice-4-2

fdo#75977: Clear sheet deleted flags for affected references when undoing.


It will be available in LibreOffice 4.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Kohei Yoshida 2014-03-13 15:47:00 UTC
Fixed.